Bug 188841 - CVE-2006-1728 Privilege escalation using crypto.generateCRMFRequest
Summary: CVE-2006-1728 Privilege escalation using crypto.generateCRMFRequest
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: reported=20060412,source=mozilla,emba...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-13 03:35 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 12:52:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-04-13 03:35:39 UTC
Privilege escalation using crypto.generateCRMFRequest


shutdown demonstrated that the crypto.generateCRMFRequest method can be used
to run arbitrary code with the privilege of the user, which could enable an
attacker to install malware.

Note:  Thunderbird shares the browser engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Disable JavaScript until you can upgrade to a version with the fix.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=327126


This issue also affects FC4

Comment 1 Josh Bressers 2006-04-27 12:52:05 UTC
These issues have been resolved in FEDORA-2006-411 for FC5 and FEDORA-2006-410
for FC4


Note You need to log in before you can comment on or make changes to this bug.